petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscViewerFileGetMode

Gets the type of file to be open

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode PetscViewerFileGetMode(PetscViewer viewer,PetscFileMode *type)

Not Collective

### Input Parameter

viewer -the PetscViewer; must be a binary, MATLAB, hdf, or netcdf PetscViewer

### Output Parameter

type -type of file

       FILE_MODE_WRITE - create new file for binary output

       FILE_MODE_READ - open existing file for binary input

       FILE_MODE_APPEND - open existing file for binary output

### See Also

PetscViewerFileSetMode(), PetscViewerCreate(), PetscViewerSetType(), PetscViewerBinaryOpen()

Level:advanced
Location:src/sys/classes/viewer/impls/binary/binv.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages